package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UniRes;
import com.sa.ibiz.demo.demo.service.dto.UniResSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UniRes] 服务对象接口
 */
public interface UniResService extends IService<UniRes>{

	boolean getDraft(UniRes et);
	boolean remove(UniRes et);
	boolean checkKey(UniRes et);
	boolean create(UniRes et);
		UniRes get(UniRes et);
	boolean update(UniRes et);
    List<UniRes> listDefault(UniResSearchFilter filter) ;
	Page<UniRes> searchDefault(UniResSearchFilter filter);
	/**	 实体[UniRes] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }